* [gentoo-commits] gentoo-x86 commit in x11-drivers/ati-drivers: ati-drivers-11.2.ebuild ChangeLog
@ 2011-02-18 13:46 Tomas Chvatal (scarabeus)
0 siblings, 0 replies; 4+ messages in thread
From: Tomas Chvatal (scarabeus) @ 2011-02-18 13:46 UTC (permalink / raw
To: gentoo-commits
scarabeus 11/02/18 13:46:03
Modified: ChangeLog
Added: ati-drivers-11.2.ebuild
Log:
Version bump. Proxy commit for Enrico as usual.
(Portage version: 2.2.0_alpha24/cvs/Linux x86_64)
Revision Changes Path
1.239 x11-drivers/ati-drivers/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.239&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.239&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?r1=1.238&r2=1.239
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v
retrieving revision 1.238
retrieving revision 1.239
diff -u -r1.238 -r1.239
--- ChangeLog 12 Feb 2011 17:26:41 -0000 1.238
+++ ChangeLog 18 Feb 2011 13:46:03 -0000 1.239
@@ -1,6 +1,12 @@
# ChangeLog for x11-drivers/ati-drivers
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.238 2011/02/12 17:26:41 fauli Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.239 2011/02/18 13:46:03 scarabeus Exp $
+
+*ati-drivers-11.2 (18 Feb 2011)
+
+ 18 Feb 2011; Tomáš Chvátal <scarabeus@gentoo.org>
+ +ati-drivers-11.2.ebuild:
+ Version bump. Proxy commit for Enrico as usual.
12 Feb 2011; Christian Faulhammer <fauli@gentoo.org>
ati-drivers-10.12.ebuild:
1.1 x11-drivers/ati-drivers/ati-drivers-11.2.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.1&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.1&content-type=text/plain
Index: ati-drivers-11.2.ebuild
===================================================================
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v 1.1 2011/02/18 13:46:03 scarabeus Exp $
EAPI="2"
inherit eutils multilib linux-mod toolchain-funcs versionator
DESCRIPTION="Ati precompiled drivers for r600 (HD Series) and newer chipsets"
HOMEPAGE="http://www.ati.com"
# 8.ble will be used for beta releases.
if [[ $(get_major_version) -gt 8 ]]; then
ATI_URL="https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/"
SRC_URI="${ATI_URL}/ati-driver-installer-${PV/./-}-x86.x86_64.run"
FOLDER_PREFIX="common/"
else
SRC_URI="https://launchpad.net/ubuntu/maverick/+source/fglrx-installer/2:${PV}-0ubuntu1/+files/fglrx-installer_${PV}.orig.tar.gz"
FOLDER_PREFIX=""
fi
IUSE="debug +modules multilib qt4"
LICENSE="AMD GPL-2 QPL-1.0 as-is"
KEYWORDS="~amd64 ~x86"
SLOT="1"
RDEPEND="
<x11-base/xorg-server-1.9.99
!x11-drivers/ati-drivers:0
!x11-apps/ati-drivers-extra
>=app-admin/eselect-opengl-1.0.7
sys-power/acpid
x11-apps/xauth
x11-libs/libX11
x11-libs/libXext
x11-libs/libXinerama
x11-libs/libXrandr
x11-libs/libXrender
multilib? ( app-emulation/emul-linux-x86-opengl )
qt4? (
x11-libs/libICE
x11-libs/libSM
x11-libs/libXcursor
x11-libs/libXfixes
x11-libs/libXxf86vm
x11-libs/qt-core
x11-libs/qt-gui
)
"
DEPEND="${RDEPEND}
app-portage/portage-utils
x11-proto/inputproto
x11-proto/xf86miscproto
x11-proto/xf86vidmodeproto
x11-proto/xineramaproto
x11-libs/libXtst
"
EMULTILIB_PKG="true"
S="${WORKDIR}"
# QA Silencing
QA_TEXTRELS="
usr/lib*/opengl/ati/lib/libGL.so.1.2
usr/lib*/libatiadlxx.so
usr/lib*/xorg/modules/glesx.so
usr/lib*/libaticaldd.so
usr/lib*/dri/fglrx_dri.so
"
QA_EXECSTACK="
opt/bin/atiode
opt/bin/amdcccle
usr/lib*/opengl/ati/lib/libGL.so.1.2
usr/lib*/dri/fglrx_dri.so
"
QA_WX_LOAD="
usr/lib*/opengl/ati/lib/libGL.so.1.2
usr/lib*/dri/fglrx_dri.so
"
QA_PRESTRIPPED="
usr/lib\(32\|64\)\?/libXvBAW.so.1.0
usr/lib\(32\|64\)\?/opengl/ati/lib/libGL.so.1.2
usr/lib\(32\|64\)\?/opengl/ati/extensions/libglx.so
usr/lib\(32\|64\)\?/xorg/modules/glesx.so
usr/lib\(32\|64\)\?/libAMDXvBA.so.1.0
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/dri/fglrx_dri.so
"
QA_SONAME="
usr/lib\(32\|64\)\?/libatiadlxx.so
usr/lib\(32\|64\)\?/libaticalcl.so
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/libaticalrt.so
"
QA_DT_HASH="
opt/bin/amdcccle
opt/bin/aticonfig
opt/bin/atiodcli
opt/bin/atiode
opt/bin/fglrxinfo
opt/sbin/atieventsd
usr/lib\(32\|64\)\?/libaticalcl.so
usr/lib\(32\|64\)\?/libaticalrt.so
usr/lib\(32\|64\)\?/libatiuki.so.1.0
usr/lib\(32\|64\)\?/libatiadlxx.so
usr/lib\(32\|64\)\?/libfglrx_dm.so.1.0
usr/lib\(32\|64\)\?/libXvBAW.so.1.0
usr/lib\(32\|64\)\?/libAMDXvBA.so.1.0
usr/lib\(32\|64\)\?/xorg/modules/amdxmm.so
usr/lib\(32\|64\)\?/xorg/modules/glesx.so
usr/lib\(32\|64\)\?/xorg/modules/linux/libfglrxdrm.so
usr/lib\(32\|64\)\?/xorg/modules/drivers/fglrx_drv.so
usr/lib\(32\|64\)\?/libaticaldd.so
usr/lib\(32\|64\)\?/dri/fglrx_dri.so
usr/lib\(32\|64\)\?/opengl/ati/extensions/libglx.so
usr/lib\(32\|64\)\?/opengl/ati/lib/libGL.so.1.2
"
_check_kernel_config() {
local failed=0
local error=""
if ! kernel_is 2 6; then
eerror "You need a 2.6 linux kernel to compile against!"
die "No 2.6 Kernel found"
fi
if ! linux_chkconfig_present MTRR; then
ewarn "You don't have MTRR support enabled in the kernel."
ewarn "Direct rendering will not work."
fi
if linux_chkconfig_builtin DRM; then
ewarn "You have DRM support built in to the kernel"
ewarn "Direct rendering will not work."
fi
if ! linux_chkconfig_present AGP && \
! linux_chkconfig_present PCIEPORTBUS; then
ewarn "You don't have AGP and/or PCIe support enabled in the kernel"
ewarn "Direct rendering will not work."
fi
if ! linux_chkconfig_present ACPI; then
eerror "${P} requires the ACPI support in the kernel"
eerror "Please enable it:"
eerror " CONFIG_ACPI=y"
eerror "in /usr/src/linux/.config or"
eerror " Power management and ACPI options --->"
eerror " [*] Power Management support"
eerror "in the 'menuconfig'"
error="${error} CONFIG_ACPI disabled"
failed=1
fi
if ! linux_chkconfig_present MAGIC_SYSRQ; then
eerror "${P} requires the magic SysRq keys in the kernel."
eerror "Please enable it:"
eerror " CONFIG_MAGIC_SYSRQ=y"
eerror "in /usr/src/linux/.config or"
eerror " Kernel hacking --->"
eerror " [*] Magic SysRq key"
eerror "in the 'menuconfig'"
error="${error} CONFIG_MAGIC_SYSRQ disabled"
failed=1
fi
if ! linux_chkconfig_present PCI_MSI; then
eerror "${P} requires MSI in the kernel."
eerror "Please enable it:"
eerror " CONFIG_PCI_MSI=y"
eerror "in /usr/src/linux/.config or"
eerror " Bus options (PCI etc.) --->"
eerror " [*] Message Signaled Interrupts (MSI and MSI-X)"
eerror "in the kernel config."
error="${error} CONFIG_PCI_MSI disabled"
failed=1
fi
if linux_chkconfig_present LOCKDEP; then
eerror "You've enabled LOCKDEP -- lock tracking -- in the kernel."
eerror "Unfortunately, this option exports the symbol lock_acquire as GPL-only."
eerror "This prevents ${P} from compiling with an error like this:"
eerror "FATAL: modpost: GPL-incompatible module fglrx.ko uses GPL-only symbol 'lock_acquire'"
eerror "Please make sure the following options have been unset:"
eerror " Kernel hacking --->"
eerror " [ ] Lock debugging: detect incorrect freeing of live locks"
eerror " [ ] Lock debugging: prove locking correctness"
eerror " [ ] Lock usage statistics"
eerror "in 'menuconfig'"
error="${error} LOCKDEP enabled"
failed=1
fi
use amd64 && if ! linux_chkconfig_present COMPAT; then
eerror "${P} requires COMPAT."
eerror "Please enable the 32 bit emulation:"
eerror "Executable file formats / Emulations --->"
eerror " [*] IA32 Emulation"
eerror "in the kernel config."
eerror "if this doesn't enable CONFIG_COMPAT add"
eerror " CONFIG_COMPAT=y"
eerror "in /usr/src/linux/.config"
error="${error} COMPAT disabled"
failed=1
fi
kernel_is ge 2 6 37 && if ! linux_chkconfig_present BKL ; then
eerror "${P} requires BKL."
eerror "Please enable the Big Kernel Lock:"
eerror "Kernel hacking --->"
eerror " [*] Big Kernel Lock"
eerror "in the kernel config."
eerror "or add"
eerror " CONFIG_BKL=y"
eerror "in /usr/src/linux/.config"
error="${error} BKL disabled"
failed=1
fi
[ "x${failed}" != "x0" ] && die "${error}"
}
pkg_setup() {
# Define module dir.
MODULE_DIR="${S}/${FOLDER_PREFIX}/lib/modules/fglrx/build_mod"
# get the xorg-server version and set BASE_DIR for that
local ver_str=$(qatom `best_version x11-base/xorg-server` | cut -d ' ' -f 3)
case ${ver_str} in
1\.9*) BASE_DIR="${S}/xpic" ;;
9999*) BASE_DIR="${S}/xpic"
ewarn "Experimental xorg-server-${ver_str}"
ewarn "Picking the last implementation" ;;
1\.8*|1\.7*) BASE_DIR="${S}/xpic" ;;
*) die "xorg-server-${ver_str} not supported" ;;
esac
# amd64/x86
if use amd64 ; then
MY_BASE_DIR="${BASE_DIR}_64a"
PKG_LIBDIR=lib64
ARCH_DIR="${S}/arch/x86_64"
else
MY_BASE_DIR="${BASE_DIR}"
PKG_LIBDIR=lib
ARCH_DIR="${S}/arch/x86"
fi
if use modules; then
MODULE_NAMES="fglrx(video:${S}/${FOLDER_PREFIX}/lib/modules/fglrx/build_mod/2.6.x)"
BUILD_TARGETS="kmod_build"
linux-mod_pkg_setup
BUILD_PARAMS="GCC_VER_MAJ=$(gcc-major-version) KVER=${KV_FULL} KDIR=${KV_DIR}"
BUILD_PARAMS="${BUILD_PARAMS} CFLAGS_MODULE+=\"-DMODULE -DATI -DFGL\""
if grep -q arch_compat_alloc_user_space ${KV_DIR}/arch/x86/include/asm/compat.h ; then
BUILD_PARAMS="${BUILD_PARAMS} CFLAGS_MODULE+=-DCOMPAT_ALLOC_USER_SPACE=arch_compat_alloc_user_space"
else
BUILD_PARAMS="${BUILD_PARAMS} CFLAGS_MODULE+=-DCOMPAT_ALLOC_USER_SPACE=compat_alloc_user_space"
fi
_check_kernel_config
fi
elog
elog "Please note that this driver supports only graphic cards based on"
elog "r600 chipset and newer."
elog "This represent the ATI Radeon HD series at this moment."
elog
elog "If your card is older then usage of ${CATEGORY}/xf86-video-ati"
elog "as replacement is highly recommended. Rather than staying with"
elog "old versions of this driver."
elog "For migration informations please reffer to:"
elog "http://www.gentoo.org/proj/en/desktop/x/x11/ati-migration-guide.xml"
einfo
}
src_unpack() {
if [[ $(get_major_version) -gt 8 ]]; then
# Switching to a standard way to extract the files since otherwise no signature file
# would be created
local src="${DISTDIR}/${A}"
sh "${src}" --extract "${S}" 2&>1 /dev/null
else
unpack ${A}
fi
}
src_prepare() {
# All kernel options for prepare are ment to be in here
if use modules; then
# version patches
# epatch "${FILESDIR}"/kernel/${PV}-*.patch
if use debug; then
sed -i '/^#define DRM_DEBUG_CODE/s/0/1/' \
"${MODULE_DIR}/firegl_public.c" \
|| die "Failed to enable debug output."
fi
fi
# Fix a known compilation error
epatch "${FILESDIR}"/ati-drivers-fix_compilation-bug-297322.patch
# These are the userspace utilities that we also have source for.
# We rebuild these later.
rm \
"${ARCH_DIR}"/usr/X11R6/bin/{fgl_glxgears,fglrx_xgamma} \
"${ARCH_DIR}"/usr/X11R6/${PKG_LIBDIR}/libfglrx_gamma* \
|| die "bin rm failed"
# in this version amdcccle isn't static, thus we depend on qt4
use qt4 || rm "${ARCH_DIR}"/usr/X11R6/bin/amdcccle
# ACPI fixups
sed -i \
-e "s:/var/lib/xdm/authdir/authfiles/:/var/run/xauth/:" \
-e "s:/var/lib/gdm/:/var/gdm/:" \
"${S}/${FOLDER_PREFIX}etc/ati/authatieventsd.sh" \
|| die "sed failed."
# Since "who" is in coreutils, we're using that one instead of "finger".
sed -i -e 's:finger:who:' \
"${S}/${FOLDER_PREFIX}usr/share/doc/fglrx/examples/etc/acpi/ati-powermode.sh" \
|| die "Replacing 'finger' with 'who' failed."
# Adjust paths in the script from /usr/X11R6/bin/ to /opt/bin/ and
# add function to detect default state.
epatch "${FILESDIR}"/ati-powermode-opt-path-2.patch || die "Failed to epatch powermode-opt-path-2.patch"
cd "${MODULE_DIR}"
ln -s "${ARCH_DIR}"/lib/modules/fglrx/build_mod/libfglrx_ip.a.GCC$(gcc-major-version) \
|| die "symlinking precompiled core failed"
convert_to_m 2.6.x/Makefile || die "convert_to_m failed"
# When built with ati's make.sh it defines a bunch of macros if
# certain .config values are set, falling back to less reliable
# detection methods if linux/autoconf.h is not available. We
# simply use the linux/autoconf.h settings directly, bypassing the
# detection script.
sed -i -e 's/__SMP__/CONFIG_SMP/' *.c *h || die "SMP sed failed"
sed -i -e 's/ifdef MODVERSIONS/ifdef CONFIG_MODVERSIONS/' *.c *.h \
|| die "MODVERSIONS sed failed"
cd "${S}"
mkdir extra || die "mkdir failed"
cd extra
unpack ./../${FOLDER_PREFIX}usr/src/ati/fglrx_sample_source.tgz
sed -i -e 's:include/extensions/extutil.h:X11/extensions/extutil.h:' \
lib/fglrx_gamma/fglrx_gamma.c || die "include fixup failed"
# Add a category.
mv programs/fglrx_gamma/fglrx_xgamma.{man,1} || die "man mv failed"
}
src_compile() {
use modules && linux-mod_src_compile
ebegin "Building fgl_glxgears"
cd "${S}"/extra/fgl_glxgears
# These extra libs/utils either have an Imakefile that does not
# work very well without tweaking or a Makefile ignoring CFLAGS
# and the like. We bypass those.
# The -DUSE_GLU is needed to compile using nvidia headers
# according to a comment in ati-drivers-extra-8.33.6.ebuild.
"$(tc-getCC)" -o fgl_glxgears ${CFLAGS} ${LDFLAGS} -DUSE_GLU \
-I"${S}"/${FOLDER_PREFIX}usr/include fgl_glxgears.c \
-lGL -lGLU -lX11 -lm || die "fgl_glxgears build failed"
eend $?
ebegin "Building fglrx_gamma lib"
cd "${S}"/extra/lib/fglrx_gamma
"$(tc-getCC)" -shared -fpic -o libfglrx_gamma.so.1.0 ${CFLAGS} ${LDFLAGS} \
-DXF86MISC -Wl,-soname,libfglrx_gamma.so.1.0 fglrx_gamma.c \
-lXext || die "fglrx_gamma lib build failed"
ln -s libfglrx_gamma.so.1.0 libfglrx_gamma.so || die "ln failed"
ln -s libfglrx_gamma.so.1.0 libfglrx_gamma.so.1 || die "ln failed"
eend $?
ebegin "Building fglrx_gamma util"
cd "${S}"/extra/programs/fglrx_gamma
"$(tc-getCC)" -o fglrx_xgamma ${CFLAGS} ${LDFLAGS} \
-I../../../${FOLDER_PREFIX}usr/X11R6/include -L../../lib/fglrx_gamma \
fglrx_xgamma.c -lm -lfglrx_gamma -lX11 \
|| die "fglrx_gamma util build failed"
eend $?
}
src_install() {
use modules && linux-mod_src_install
# We can do two things here, and neither of them is very nice.
# For direct rendering libGL has to be able to load one or more
# dri modules (files ending in _dri.so, like fglrx_dri.so).
# Gentoo's mesa looks for these files in the location specified by
# LIBGL_DRIVERS_PATH or LIBGL_DRIVERS_DIR, then in the hardcoded
# location /usr/$(get_libdir)/dri. Ati's libGL does the same
# thing, but the hardcoded location is /usr/X11R6/lib/modules/dri
# on x86 and amd64 32bit, /usr/X11R6/lib64/modules/dri on amd64
# 64bit. So we can either put the .so files in that (unusual,
# compared to "normal" mesa libGL) location or set
# LIBGL_DRIVERS_PATH. We currently do the latter. See also bug
# 101539.
# The problem with this approach is that LIBGL_DRIVERS_PATH
# *overrides* the default hardcoded location, it does not extend
# it. So if ati-drivers is merged but a non-ati libGL is selected
# and its hardcoded path does not match our LIBGL_DRIVERS_PATH
# (because it changed in a newer mesa or because it was compiled
# for a different set of multilib abis than we are) stuff breaks.
# We create one file per ABI to work with "native" multilib, see
# below.
echo "COLON_SEPARATED=LIBGL_DRIVERS_PATH" > "${T}/03ati-colon-sep"
doenvd "${T}/03ati-colon-sep" || die
# All libraries that we have a 32 bit and 64 bit version of on
# amd64 are installed in src_install-libs. Everything else
# (including libraries only available in native 64bit on amd64)
# goes in here.
# There used to be some code here that tried to detect running
# under a "native multilib" portage ((precursor of)
# http://dev.gentoo.org/~kanaka/auto-multilib/). I removed that, it
# should just work (only doing some duplicate work). --marienz
if has_multilib_profile; then
local OABI=${ABI}
for ABI in $(get_install_abis); do
src_install-libs
done
ABI=${OABI}
unset OABI
else
src_install-libs
fi
# This is sorted by the order the files occur in the source tree.
# X modules.
exeinto /usr/$(get_libdir)/xorg/modules/drivers
doexe "${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/drivers/fglrx_drv.so || die
exeinto /usr/$(get_libdir)/xorg/modules/linux
doexe "${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/linux/libfglrxdrm.so || die
exeinto /usr/$(get_libdir)/xorg/modules
doexe "${MY_BASE_DIR}"/usr/X11R6/${PKG_LIBDIR}/modules/{glesx.so,amdxmm.so} || die
# Arch-specific files.
# (s)bin.
into /opt
dosbin "${ARCH_DIR}"/usr/sbin/atieventsd || die
# We cleaned out the compilable stuff in src_unpack
dobin "${ARCH_DIR}"/usr/X11R6/bin/* || die
# lib.
exeinto /usr/$(get_libdir)
# Everything except for the libGL.so installed in src_install-libs.
doexe $(find "${ARCH_DIR}"/usr/X11R6/${PKG_LIBDIR} \
-maxdepth 1 -type f -name '*.so*' -not -name 'libGL.so*')
insinto /usr/$(get_libdir)
doins $(find "${ARCH_DIR}"/usr/X11R6/${PKG_LIBDIR} \
-maxdepth 1 -type f -not -name '*.so*')
# Common files.
# etc.
insinto /etc/ati
# Everything except for the authatieventsd.sh script.
doins ${FOLDER_PREFIX}etc/ati/{logo*,control,atiogl.xml,signature,amdpcsdb.default}
insopts -m0755
doins ${FOLDER_PREFIX}etc/ati/authatieventsd.sh || die
# include.
insinto /usr
doins -r ${FOLDER_PREFIX}usr/include || die
insinto /usr/include/X11/extensions
doins ${FOLDER_PREFIX}usr/X11R6/include/X11/extensions/fglrx_gamma.h || die
# Just the atigetsysteminfo.sh script.
into /usr
dosbin ${FOLDER_PREFIX}usr/sbin/* || die
# data files for the control panel.
if use qt4 ; then
insinto /usr/share
doins -r ${FOLDER_PREFIX}usr/share/ati || die
insinto /usr/share/pixmaps
doins ${FOLDER_PREFIX}usr/share/icons/ccc_large.xpm || die
make_desktop_entry amdcccle 'ATI Catalyst Control Center' \
ccc_large System
fi
# doc.
dohtml -r ${FOLDER_PREFIX}usr/share/doc/fglrx || die
doman ${FOLDER_PREFIX}usr/share/man/man8/atieventsd.8 || die
pushd ${FOLDER_PREFIX}usr/share/doc/fglrx/examples/etc/acpi > /dev/null
exeinto /etc/acpi
doexe ati-powermode.sh || die
insinto /etc/acpi/events
doins events/* || die
popd > /dev/null
# Done with the "source" tree. Install tools we rebuilt:
dobin extra/fgl_glxgears/fgl_glxgears || die
newdoc extra/fgl_glxgears/README README.fgl_glxgears || die
dolib extra/lib/fglrx_gamma/*so* || die
newdoc extra/lib/fglrx_gamma/README README.libfglrx_gamma || die
dobin extra/programs/fglrx_gamma/fglrx_xgamma || die
doman extra/programs/fglrx_gamma/fglrx_xgamma.1 || die
newdoc extra/programs/fglrx_gamma/README README.fglrx_gamma || die
# Gentoo-specific stuff:
newinitd "${FILESDIR}"/atieventsd.init atieventsd \
|| die "Failed to install atieventsd.init.d"
echo 'ATIEVENTSDOPTS=""' > "${T}"/atieventsd.conf
insopts -m0644
newconfd "${T}"/atieventsd.conf atieventsd || die
}
src_install-libs() {
if [[ "${ABI}" == "amd64" ]]; then
local EX_BASE_DIR="${BASE_DIR}_64a"
local pkglibdir=lib64
local MY_ARCH_DIR="${S}/arch/x86_64"
else
local EX_BASE_DIR="${BASE_DIR}"
local pkglibdir=lib
local MY_ARCH_DIR="${S}/arch/x86"
fi
einfo "ati tree '${pkglibdir}' -> '$(get_libdir)' on system"
local ATI_ROOT=/usr/$(get_libdir)/opengl/ati
# To make sure we do not miss a spot when these change.
local libmajor=1 libminor=2
local libver=${libmajor}.${libminor}
# The GLX libraries
# (yes, this really is "lib" even on amd64/multilib --marienz)
exeinto ${ATI_ROOT}/lib
doexe "${MY_ARCH_DIR}"/usr/X11R6/${pkglibdir}/libGL.so.${libver} || die
dosym libGL.so.${libver} ${ATI_ROOT}/lib/libGL.so.${libmajor} || die
dosym libGL.so.${libver} ${ATI_ROOT}/lib/libGL.so || die
exeinto ${ATI_ROOT}/extensions
doexe "${EX_BASE_DIR}"/usr/X11R6/${pkglibdir}/modules/extensions/* || die
# DRI modules, installed into the path used by recent versions of mesa.
exeinto /usr/$(get_libdir)/dri
doexe "${MY_ARCH_DIR}"/usr/X11R6/${pkglibdir}/modules/dri/fglrx_dri.so || die
# AMD Cal libraries
exeinto /usr/$(get_libdir)
doexe "${MY_ARCH_DIR}"/usr/${pkglibdir}/libati*.so* || die
local envname="${T}"/04ati-dri-path
if [[ -n ${ABI} ]]; then
envname="${envname}-${ABI}"
fi
echo "LIBGL_DRIVERS_PATH=/usr/$(get_libdir)/dri" > "${envname}"
doenvd "${envname}" || die
}
pkg_postinst() {
elog "To switch to ATI OpenGL, run \"eselect opengl set ati\""
elog "To change your xorg.conf you can use the bundled \"aticonfig\""
elog
elog "If you experience unexplained segmentation faults and kernel crashes"
elog "with this driver and multi-threaded applications such as wine,"
elog "set UseFastTLS in xorg.conf to either 0 or 1, but not 2."
elog
elog "You will have to source /etc/profile (or logout and back in) for dri"
elog "to work, unless you previously had ati-drivers installed."
use modules && linux-mod_pkg_postinst
"${ROOT}"/usr/bin/eselect opengl set --use-old ati
}
pkg_preinst() {
use modules && linux-mod_pkg_preinst
}
pkg_prerm() {
"${ROOT}"/usr/bin/eselect opengl set --use-old xorg-x11
}
pkg_postrm() {
use modules && linux-mod_pkg_postrm
"${ROOT}"/usr/bin/eselect opengl set --use-old xorg-x11
}
^ permalink raw reply [flat|nested] 4+ messages in thread
* [gentoo-commits] gentoo-x86 commit in x11-drivers/ati-drivers: ati-drivers-11.2.ebuild ChangeLog
@ 2011-03-21 13:39 Markos Chandras (hwoarang)
0 siblings, 0 replies; 4+ messages in thread
From: Markos Chandras (hwoarang) @ 2011-03-21 13:39 UTC (permalink / raw
To: gentoo-commits
hwoarang 11/03/21 13:39:11
Modified: ati-drivers-11.2.ebuild ChangeLog
Log:
Stable on amd64 wrt bug #359059
(Portage version: 2.1.9.42/cvs/Linux x86_64)
Revision Changes Path
1.2 x11-drivers/ati-drivers/ati-drivers-11.2.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?r1=1.1&r2=1.2
Index: ati-drivers-11.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ati-drivers-11.2.ebuild 18 Feb 2011 13:46:03 -0000 1.1
+++ ati-drivers-11.2.ebuild 21 Mar 2011 13:39:11 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v 1.1 2011/02/18 13:46:03 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v 1.2 2011/03/21 13:39:11 hwoarang Exp $
EAPI="2"
@@ -20,7 +20,7 @@
IUSE="debug +modules multilib qt4"
LICENSE="AMD GPL-2 QPL-1.0 as-is"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
SLOT="1"
RDEPEND="
1.240 x11-drivers/ati-drivers/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.240&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.240&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?r1=1.239&r2=1.240
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v
retrieving revision 1.239
retrieving revision 1.240
diff -u -r1.239 -r1.240
--- ChangeLog 18 Feb 2011 13:46:03 -0000 1.239
+++ ChangeLog 21 Mar 2011 13:39:11 -0000 1.240
@@ -1,6 +1,9 @@
# ChangeLog for x11-drivers/ati-drivers
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.239 2011/02/18 13:46:03 scarabeus Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.240 2011/03/21 13:39:11 hwoarang Exp $
+
+ 21 Mar 2011; Markos Chandras <hwoarang@gentoo.org> ati-drivers-11.2.ebuild:
+ Stable on amd64 wrt bug #359059
*ati-drivers-11.2 (18 Feb 2011)
^ permalink raw reply [flat|nested] 4+ messages in thread
* [gentoo-commits] gentoo-x86 commit in x11-drivers/ati-drivers: ati-drivers-11.2.ebuild ChangeLog
@ 2011-03-22 23:15 Luca Barbato (lu_zero)
0 siblings, 0 replies; 4+ messages in thread
From: Luca Barbato (lu_zero) @ 2011-03-22 23:15 UTC (permalink / raw
To: gentoo-commits
lu_zero 11/03/22 23:15:43
Modified: ati-drivers-11.2.ebuild ChangeLog
Log:
Add patch to build on 2.6.38 also to the 11.2 as reported in bug #359095, many thanks to the people that refined patch and ebuild
(Portage version: 2.1.9.44/cvs/Linux x86_64)
Revision Changes Path
1.3 x11-drivers/ati-drivers/ati-drivers-11.2.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?r1=1.2&r2=1.3
Index: ati-drivers-11.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- ati-drivers-11.2.ebuild 21 Mar 2011 13:39:11 -0000 1.2
+++ ati-drivers-11.2.ebuild 22 Mar 2011 23:15:43 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v 1.2 2011/03/21 13:39:11 hwoarang Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v 1.3 2011/03/22 23:15:43 lu_zero Exp $
EAPI="2"
@@ -304,6 +304,12 @@
# Fix a known compilation error
epatch "${FILESDIR}"/ati-drivers-fix_compilation-bug-297322.patch
+ if kernel_is ge 2 6 38 ; then
+ epatch "${FILESDIR}"/ati-drivers-2.6.38.patch || \
+ die "epatch ati-drivers-2.6.38.patch failed"
+ fi
+
+
# These are the userspace utilities that we also have source for.
# We rebuild these later.
rm \
1.242 x11-drivers/ati-drivers/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.242&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.242&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?r1=1.241&r2=1.242
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v
retrieving revision 1.241
retrieving revision 1.242
diff -u -r1.241 -r1.242
--- ChangeLog 22 Mar 2011 21:33:56 -0000 1.241
+++ ChangeLog 22 Mar 2011 23:15:43 -0000 1.242
@@ -1,10 +1,14 @@
# ChangeLog for x11-drivers/ati-drivers
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.241 2011/03/22 21:33:56 lu_zero Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.242 2011/03/22 23:15:43 lu_zero Exp $
+
+ 22 Mar 2011; Luca Barbato <lu_zero@gentoo.org> ati-drivers-11.2.ebuild:
+ Add patch to build on 2.6.38 also to the 11.2 as reported in bug #359095,
+ many thanks to the people that refined patch and ebuild
22 Mar 2011; Luca Barbato <lu_zero@gentoo.org>
+files/ati-drivers-2.6.38.patch, ati-drivers-10.12.ebuild:
- -m Add patch to build on 2.6.38 as reported in bug #359095, many thanks to
+ Add patch to build on 2.6.38 as reported in bug #359095, many thanks to
the people that refined patch and ebuild
21 Mar 2011; Markos Chandras <hwoarang@gentoo.org> ati-drivers-11.2.ebuild:
^ permalink raw reply [flat|nested] 4+ messages in thread
* [gentoo-commits] gentoo-x86 commit in x11-drivers/ati-drivers: ati-drivers-11.2.ebuild ChangeLog
@ 2011-03-26 10:31 Christian Faulhammer (fauli)
0 siblings, 0 replies; 4+ messages in thread
From: Christian Faulhammer (fauli) @ 2011-03-26 10:31 UTC (permalink / raw
To: gentoo-commits
fauli 11/03/26 10:31:56
Modified: ati-drivers-11.2.ebuild ChangeLog
Log:
x86 stable, bug 359059
(Portage version: 2.1.9.42/cvs/Linux i686, RepoMan options: --force)
Revision Changes Path
1.5 x11-drivers/ati-drivers/ati-drivers-11.2.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.5&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?rev=1.5&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild?r1=1.4&r2=1.5
Index: ati-drivers-11.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- ati-drivers-11.2.ebuild 23 Mar 2011 07:17:37 -0000 1.4
+++ ati-drivers-11.2.ebuild 26 Mar 2011 10:31:56 -0000 1.5
@@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v 1.4 2011/03/23 07:17:37 mr_bones_ Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ati-drivers-11.2.ebuild,v 1.5 2011/03/26 10:31:56 fauli Exp $
EAPI="2"
@@ -20,7 +20,7 @@
IUSE="debug +modules multilib qt4"
LICENSE="AMD GPL-2 QPL-1.0 as-is"
-KEYWORDS="amd64 ~x86"
+KEYWORDS="amd64 x86"
SLOT="1"
RDEPEND="
1.243 x11-drivers/ati-drivers/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.243&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?rev=1.243&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-drivers/ati-drivers/ChangeLog?r1=1.242&r2=1.243
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v
retrieving revision 1.242
retrieving revision 1.243
diff -u -r1.242 -r1.243
--- ChangeLog 22 Mar 2011 23:15:43 -0000 1.242
+++ ChangeLog 26 Mar 2011 10:31:56 -0000 1.243
@@ -1,6 +1,10 @@
# ChangeLog for x11-drivers/ati-drivers
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.242 2011/03/22 23:15:43 lu_zero Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-drivers/ati-drivers/ChangeLog,v 1.243 2011/03/26 10:31:56 fauli Exp $
+
+ 26 Mar 2011; Christian Faulhammer <fauli@gentoo.org>
+ ati-drivers-11.2.ebuild:
+ x86 stable, bug 359059
22 Mar 2011; Luca Barbato <lu_zero@gentoo.org> ati-drivers-11.2.ebuild:
Add patch to build on 2.6.38 also to the 11.2 as reported in bug #359095,
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2011-03-26 10:32 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-03-26 10:31 [gentoo-commits] gentoo-x86 commit in x11-drivers/ati-drivers: ati-drivers-11.2.ebuild ChangeLog Christian Faulhammer (fauli)
-- strict thread matches above, loose matches on Subject: below --
2011-03-22 23:15 Luca Barbato (lu_zero)
2011-03-21 13:39 Markos Chandras (hwoarang)
2011-02-18 13:46 Tomas Chvatal (scarabeus)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox